> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Model API version build logs

> Retrieves the build logs for a Model API Version.



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs:
    get:
      tags:
        - Model APIs
      description: Retrieves the build logs for a Model API Version.
      operationId: getModelApiVersionBuildLogs
      parameters:
        - description: The id of the Model API to retrieve the build logs for.
          in: path
          name: modelApiId
          required: true
          schema:
            type: string
        - description: The id of the Model API Version to retrieve the build logs for.
          in: path
          name: modelApiVersionId
          required: true
          schema:
            type: string
        - description: build Id of the model API to return build logs for.
          in: query
          name: buildId
          required: false
          schema:
            type: string
        - description: >-
            The epoch time in nanoseconds to start fetching from, such as
            "1543538813745986325". "0" by default and will typically be used for
            a timestamp-based offset log fetching strategy.
          in: query
          name: sinceTimeNano
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelApiVersionBuildLogs'
          description: The build logs for the given Model API Version.
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    ModelApiVersionBuildLogs:
      properties:
        buildId:
          description: The id of the build of the Model API Version
          nullable: false
          type: string
        logs:
          description: The build logs.
          items:
            $ref: '#/components/schemas/ModelApiVersionLogLine'
          nullable: false
          type: array
        modelId:
          description: The id of the Model API
          nullable: false
          type: string
        modelVersionId:
          description: The id of the Model API Version
          nullable: false
          type: string
        sinceTimeNano:
          description: The start date of the logs.
          nullable: false
          type: string
        status:
          description: The status of the build.
          nullable: false
          type: string
      required:
        - modelId
        - modelVersionId
        - status
        - logs
    ModelApiVersionLogLine:
      properties:
        log:
          description: The content of the log line.
          type: string
        streamType:
          description: The type of stream the log line is sourced from.
          type: string
        tags:
          description: The tags of the log line.
          items:
            $ref: '#/components/schemas/ModelApiVersionLogTag'
          type: array
        timeNano:
          description: The time in nanoseconds of the log line.
          type: number
        timestamp:
          description: The timestamp of the log line.
          type: number
      required:
        - timestamp
        - timeNano
        - log
        - streamType
        - tags
    ModelApiVersionLogTag:
      properties:
        key:
          description: The name of the log tag.
          nullable: false
          type: string
        value:
          description: The value of the log tag.
          nullable: false
          type: string
      required:
        - key
        - value
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Get model image build logs](/6.3/api-reference/registered-models/get-model-image-build-logs.md)
- [Get Model API version export logs](/6.3/api-reference/model-apis/get-apimodelservingv1modelapis-versions-exportlogs.md)
- [Get Model API version instance logs](/6.3/api-reference/model-apis/get-apimodelservingv1modelapis-versions-instancelogs.md)
- [Get Model API version](/6.3/api-reference/model-apis/get-apimodelservingv1modelapis-versions-1.md)
